<template>
  <ValidationObserver v-slot="{ handleSubmit }">
    <CForm
      v-loading="loading"
      class="form-2-col"
      @submit.prevent="handleSubmit(onSubmit)"
    >
      <CCard>
        <CCardHeader>
          <div>
            <font-awesome-icon :icon="['fas', 'check-circle']" />
            登録情報の確認
          </div>
        </CCardHeader>
        <CCardBody>
          <div class="box-inner-form">
            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    お名前
                  </div>
                  <div class="col-sm-9">
                    {{ formData.name }}
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    メールアドレス
                  </div>
                  <div class="col-sm-9">
                    {{ formData.email }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    電話番号
                  </div>
                  <div class="col-sm-9">
                    {{ formData.phone }}
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    ご参加
                  </div>
                  <div class="col-sm-9">
                    {{ formData.participation }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    フリガナ
                  </div>
                  <div class="col-sm-9">
                    {{ formData.furigana }}
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    法人名
                  </div>
                  <div class="col-sm-9">
                    {{ formData.corporateName }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    部署名
                  </div>
                  <div class="col-sm-9">
                    {{ formData.departmentName }}
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    役職名
                  </div>
                  <div class="col-sm-9">
                    {{ formData.positionName }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    参加人数
                  </div>
                  <div class="col-sm-9">
                    {{ formData.participantNumber }}
                    <span>名</span>
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    郵便番号
                  </div>
                  <div class="col-sm-9">
                    {{ formData.postalCode }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    ご住所
                  </div>
                  <div class="col-sm-9">
                    {{ formData.address }}
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    FAX番号
                  </div>
                  <div class="col-sm-9">
                    {{ formData.fax }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-lg-6" />
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    備考
                  </div>
                  <div class="col-sm-9">
                    {{ formData.note }}
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-sm-3">
                    本人確認書類（個人）（表面）
                  </div>
                  <div class="col-sm-9">
                    <img :src="`http://localhost:8000${formData.frontIvdPath}`" alt="">
                  </div>
                </div>
              </div>

              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-form-label col-sm-3">
                    本人確認書類（個人）（裏面）
                  </div>
                  <div class="col-sm-9">
                    <img :src="`http://localhost:8000${formData.backIvdPath}`" alt="">
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-xl-6">
                <div role="group" class="form-group form-row mb-1">
                  <div class="col-form-label col-sm-3">
                    古物許可証（法人）
                  </div>
                  <div class="col-sm-9">
                    <img :src="`http://localhost:8000${formData.antiqueLicensePath}`" alt="">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </CCardBody>

        <CCardFooter>
          <CButton
            type="submit"
            color="primary"
          >
            <font-awesome-icon :icon="['fas', 'save']" class="width-1x" />
            会員登録する
          </CButton>

          <CButton
            color="secondary"
            @click="$emit('change-input')"
          >
            入力情報を変更する
          </CButton>
        </CCardFooter>
      </CCard>
    </CForm>
  </ValidationObserver>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import Member from '~/models/Member'

import createEditForm from '~/mixins/create-edit-form'

export default {

  mixins: [
    createEditForm
  ],

  data () {
    return {
      model: new Member(),
      modelType: 'member'
    }
  },

  computed: {
    /**
     * Get member registration info from store
     */
    ...mapGetters('member/registration', ['formData'])
  },

  methods: {
    ...mapActions('member/registration', ['setFormData']),

    /**
     * Dynamic set model
     *
     * @param {Object} data
     */
    setModel () {
      this.model = this.formData
    },

    /**
     * Prepare data
     */
    prepareData () {
      this.getDetail(this.formData.id)
    }
  }
}
</script>
